org.icefaces.ace.component.menubar

## Interface IMenuBar

- All Known Implementing Classes:
    MenuBar, MenuBarBase

      public interface IMenuBar

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDirection()`
    `java.lang.String` | `getEffect()`
    `int` | `getEffectDuration()`
    `java.lang.Integer` | `getForceUpdateCounter()`
    `MenuModel` | `getModel()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getSubmenuLabels()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isAutoSubmenuDisplay()`
    `java.lang.Boolean` | `isForceMenuUpdate()`
    `void` | `setAutoSubmenuDisplay(boolean autoSubmenuDisplay)`
    `void` | `setDirection(java.lang.String direction)`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEffectDuration(int effectDuration)`
    `void` | `setForceMenuUpdate(java.lang.Boolean forceMenuUpdate)`
    `void` | `setForceUpdateCounter(java.lang.Integer forceUpdateCounter)`
    `void` | `setModel(MenuModel model)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setSubmenuLabels(java.lang.String submenuLabels)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setAutoSubmenuDisplay

          void setAutoSubmenuDisplay(boolean autoSubmenuDisplay)

    - #### isAutoSubmenuDisplay

          boolean isAutoSubmenuDisplay()

    - #### setDirection

          void setDirection(java.lang.String direction)

    - #### getDirection

          java.lang.String getDirection()

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEffectDuration

          void setEffectDuration(int effectDuration)

    - #### getEffectDuration

          int getEffectDuration()

    - #### setForceMenuUpdate

          void setForceMenuUpdate(java.lang.Boolean forceMenuUpdate)

    - #### isForceMenuUpdate

          java.lang.Boolean isForceMenuUpdate()

    - #### setModel

          void setModel(MenuModel model)

    - #### getModel

          MenuModel getModel()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setForceUpdateCounter

          void setForceUpdateCounter(java.lang.Integer forceUpdateCounter)

    - #### getForceUpdateCounter

          java.lang.Integer getForceUpdateCounter()

    - #### setSubmenuLabels

          void setSubmenuLabels(java.lang.String submenuLabels)

    - #### getSubmenuLabels

          java.lang.String getSubmenuLabels()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.